Bug 60711 - 'netfs status' should set exit value
'netfs status' should set exit value
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-05 02:22 EST by Toralf
Modified: 2014-03-16 22:25 EDT (History)
1 user (show)

See Also:
Fixed In Version: 8.17-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-29 15:43:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Set exit value based on /var/lock/subsys on 'netfs status' (532 bytes, patch)
2002-03-05 02:25 EST, Toralf
no flags Details | Diff

  None (edit)
Description Toralf 2002-03-05 02:22:02 EST
Description of Problem:
'service netfs status' will return successfully regardless of whether the
service has been started or not. I think it ought to exit with a non-zero value
when the service has been stopped or just isn't enabled. This is would be very
useful for scripts that need to stop and restart services on specific events,
such as /etc/sysconfig/apm-scripts/apmscript.

Version-Release number of selected component (if applicable):

initscripts-6.40 or initscripts-6.53-1
How Reproducible:
Every time

Steps to Reproduce:
1. service netfs stop
2. service netfs status
3. echo $?

Actual Results:
0

Expected Results:
Non-0

Additional Information:
Comment 1 Toralf 2002-03-05 02:25:10 EST
Created attachment 47404 [details]
Set exit value based on /var/lock/subsys on 'netfs status'
Comment 2 Toralf 2002-03-05 02:26:07 EST
The attached patch is against current Raw Hide version.
Comment 3 Toralf 2002-07-10 08:08:38 EDT
Aslo applies to Red Hat 7.3; version number updated.
Comment 4 Bill Nottingham 2005-09-29 15:43:45 EDT
Added, will be in 8.17-1.

Note You need to log in before you can comment on or make changes to this bug.